from pydantic import BaseModel


class InventoryItemDimension(BaseModel):
    height_mm: int
    width_mm: int
    depth_mm: int
    mass_kg: int


class Barcode(BaseModel):
    barcode_type: str
    barcode: str


class InventoryItem(BaseModel):
    # generated by API tier and PK of this item
    inventory_item_id: str
    # the client's SKU for this number
    sku: str
    name: str
    country_of_origin: str
    harmonized_system_code: str
    has_hazmat: bool
    barcodes: list[Barcode]
    dimensions: InventoryItemDimension
    # if this inventory item is out of stock then use the first on in this
    # list at is in stock
    alternative_inventory_items: list[str]
    thg_id: str
    status: str
